## ffmpegthumbnailer-dmo 2.2.2

=== debian/changelog ===
ffmpegthumbnailer-dmo (1:2.2.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Oct 2019 23:24:25 +0200

ffmpegthumbnailer-dmo (1:2.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Sep 2019 11:03:06 +0200

ffmpegthumbnailer-dmo (1:2.2.0-dmo5) unstable; urgency=medium

  * Rebuild agaisnt ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Apr 2018 18:41:25 +0200

ffmpegthumbnailer-dmo (1:2.2.0-dmo4) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Mar 2017 16:06:39 +0100

ffmpegthumbnailer-dmo (1:2.2.0-dmo3) unstable; urgency=medium

  * Remove unneeded application/x-quicktimeplayer and application/x-ms-wmv
    from previous packages.
  * Fix mjpeg thumbnails in patch 04_fix-mjpeg

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Sep 2016 16:34:40 +0200

ffmpegthumbnailer-dmo (1:2.2.0-dmo2) unstable; urgency=medium

  * Add the following mime-type in ffmpegthumbnailer.thumbnailer (Thanks to
    Raphaël Halimi).
    application/vnd.rn-realmedia
    application/x-quicktimeplayer
    application/x-ms-wmv

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Sep 2016 15:39:29 +0200

ffmpegthumbnailer-dmo (1:2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Aug 2016 15:24:30 +0200

ffmpegthumbnailer-dmo (1:2.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Aug 2016 14:37:42 +0200

ffmpegthumbnailer-dmo (1:2.1.1-dmo2) unstable; urgency=medium

  * Rebuild against libpng16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Apr 2016 15:52:39 +0200

ffmpegthumbnailer-dmo (1:2.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Feb 2016 21:52:58 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo6) unstable; urgency=medium

  * Replaces broken Debian ffmpeg 3.0 patch by upstream patch (Thanks to
    Raphaël Halimi for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Feb 2016 16:33:32 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo5) unstable; urgency=medium

  * Should Build-Depends on libavfilter-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Feb 2016 14:57:24 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo4) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Feb 2016 14:50:57 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo3) unstable; urgency=medium

  * Don't add mime support for video/mp2t in .desktop file, because this file
    isn't packaged. Instead add this mime type in the library.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Dec 2015 19:42:47 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo2) unstable; urgency=medium

  * Added video/mp2t as mime type.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Dec 2015 15:40:40 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Sep 2015 18:04:20 +0200

ffmpegthumbnailer-dmo (2.0.10-dmo3) unstable; urgency=medium

  * Add v5 to libffmpegthumbnailer4 package name.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Aug 2015 21:41:11 +0200

ffmpegthumbnailer-dmo (2.0.10-dmo2) unstable; urgency=medium

  * Build with GCC 5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Aug 2015 10:53:18 +0200

ffmpegthumbnailer-dmo (2.0.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Apr 2015 08:44:35 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo7) unstable; urgency=medium

  * Funny ? No. Rebuild against libjpeg62-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Oct 2014 19:27:02 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo6) unstable; urgency=medium

  * Second round to rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Oct 2014 19:17:32 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo5) unstable; urgency=medium

  * Rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Sep 2014 08:22:25 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo4) unstable; urgency=medium

  * Rebuild against ffmpeg 2.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Sep 2014 09:03:01 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 2.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Dec 2013 11:28:45 +0100

ffmpegthumbnailer-dmo (2.0.8-dmo2) unstable; urgency=low

  * Compress package with xz.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Aug 2013 16:26:46 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo1) unstable; urgency=low

  * New upstream release.
  * Build with --enable-thumbnailer.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Aug 2013 16:06:09 +0200

ffmpegthumbnailer (2.0.7-2) unstable; urgency=low

  * debian/control: remove alternate b-dep on libjpeg62-dev. Closes: #641454

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 18 Sep 2011 21:26:01 +0200

ffmpegthumbnailer (2.0.7-1) unstable; urgency=low

  * New upstream release:
    - fix build with libpng 1.5. Closes: #635944
  * debian/patches:
    - debian/patches/99_fix-FTBFS-libav-0.7.patch,
      debian/patches/02_fix-ftbfs-missing-include-NULL.patch,
      debian/patches/01_fix-ftbfs-as-needed.patch: dropped, included upstream.
    - debian/patches/series: dropped, now empty.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Mon, 01 Aug 2011 18:44:21 +0200


