=== debian/control ===
Source: ffmpegthumbnailer-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
Standards-Version: 4.4.0
Build-Depends: debhelper-compat (= 12), libavutil-dev, libavformat-dev,
 libavcodec-dev, libswscale-dev, libpng-dev, libjpeg62-turbo-dev, quilt,
 cmake, libavfilter-dev

Package: ffmpegthumbnailer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libglib2.0-0
Description: Fast and lightweight video thumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by
 file managers to create thumbnails for your video files. The thumbnailer
 uses ffmpeg to decode frames from the video files, so supported
 videoformats depend on the configuration flags of ffmpeg.
 .
 This package contains the ffmpegthumbnailer executable.

Package: libffmpegthumbnailer4v5
Architecture: any
Multi-Arch: same
Replaces: libffmpegthumbnailer4
Conflicts: libffmpegthumbnailer4
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by
 file managers to create thumbnails for your video files. The thumbnailer
 uses ffmpeg to decode frames from the video files, so supported
 videoformats depend on the configuration flags of ffmpeg.
 .
 This package contains the shared library for ffmpegthumbnailer framework.

Package: libffmpegthumbnailer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libffmpegthumbnailer4v5 (= ${binary:Version}), ${misc:Depends}
Description: Development files for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by
 file managers to create thumbnails for your video files. The thumbnailer
 uses ffmpeg to decode frames from the video files, so supported
 videoformats depend on the configuration flags of ffmpeg.
 .
 This package contains the development files distributed with ffmpegthumbnailer.
