=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-as-needed

%:
	dh $@ -Scmake --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE:STRING=Debug -DENABLE_TESTS:BOOL=OFF \
	-DENABLE_GIO:BOOL=ON -DENABLE_THUMBNAILER:BOOL=ON
