## ffmpegthumbnailer-dmo 2.2.2+git20220218

=== debian/changelog ===
ffmpegthumbnailer-dmo (1:2.2.2+git20220218-dmo2) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 08:26:42 +0100

ffmpegthumbnailer-dmo (1:2.2.2+git20220218-dmo1) unstable; urgency=medium

  * Git snapchot with fixes for ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jun 2022 08:09:57 +0200
