=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
-Standards-Version: 4.4.0
-Build-Depends: debhelper-compat (= 12), libavutil-dev, libavformat-dev,
- libavcodec-dev, libswscale-dev, libpng-dev, libjpeg62-turbo-dev, quilt,
- cmake, libavfilter-dev
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libpng-dev, libjpeg62-turbo-dev,
+ quilt, cmake, libavfilter-dev, ninja-build
 
 Package: ffmpegthumbnailer
 Architecture: any
