=== debian/watch ===
version=3

opts="uversionmangle=s/ffmpegthumbnailer-//" \
https://github.com/dirkvdb/ffmpegthumbnailer/tags \
.*/ffmpegthumbnailer-(.*)\.tar.*
