## ffmpegthumbnailer-dmo 2.2.3

=== debian/changelog ===
ffmpegthumbnailer-dmo (1:2.2.3-dmo2~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Oct 2025 16:25:36 +0200

ffmpegthumbnailer-dmo (1:2.2.3-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 17:54:56 +0200

ffmpegthumbnailer-dmo (1:2.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Sep 2024 08:21:30 +0200

ffmpegthumbnailer-dmo (1:2.2.2+git20220218-dmo4) unstable; urgency=medium

  * Build with ffmpeg 7.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 13:54:56 +0200

ffmpegthumbnailer-dmo (1:2.2.2+git20220218-dmo3) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 08:30:26 +0100
