=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-as-needed

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DENABLE_GIO=ON \
	-DENABLE_TESTS=OFF \
	-DENABLE_THUMBNAILER=ON

override_dh_auto_test:
