## ffmpegthumbnailer-dmo 2.2.4

=== debian/changelog ===
ffmpegthumbnailer-dmo (1:2.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Nov 2025 00:32:27 +0100
