=== debian/watch ===
Version: 5

Template: Github
Owner: dirkvdb
Project: ffmpegthumbnailer
