## ffmpegthumbnailer-dmo 2.3.0

=== debian/changelog ===
ffmpegthumbnailer-dmo (1:2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Dec 2025 18:25:03 +0100
