=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DENABLE_GIO=ON \
	-DENABLE_TESTS=ON \
	-DENABLE_THUMBNAILER=ON \
	-DENABLE_AUDIO_THUMBNAILER=ON

#	exit 1
